Page MenuHomePhabricator

Restore the global CheckUser log
Closed, DeclinedPublic

Description

Author: mike.lifeguard+bugs

Description:
Basically this is a request to undo bug 8710, which split the global log into per-wiki logs. At the time this was done, there was discussion to the effect that we don't want to lose the global nature, but we were willing to give it up to fix problems at the time. It was also mentioned that a return to the global log would be possible in the future, and discussion since then has been in favour of doing so.

Please merge the logs into a single, global log, accessible to all CheckUsers through the wiki(s) where they have the appropriate permission, as was previously the case.


Version: unspecified
Severity: normal

Details

Reference
bz13789

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:08 PM
bzimport added a project: CheckUser.
bzimport set Reference to bz13789.
bzimport added a subscriber: Unknown Object (MLST).

PLease let's implement this. A lot of our work as checkusers involves interwiki work where a vandal can span a large number of wikis in a very short period of time. Right now, we are using the mailing list for communication and having access to checkuser information across wikis would be invaluable in dealing with cases of cross-wiki disruption. We're already working together as a strong team and having this functionality back would really enhance co-operation.

demon added a comment.May 6 2008, 11:49 AM

Relevant revision: r29527

mike.lifeguard+bugs wrote:

Now that bug 14699 is WONTFIXed, can we be sure to have search-by-wiki in this log?

aaron added a comment.Aug 14 2008, 5:05 PM

(In reply to comment #3)

Now that bug 14699 is WONTFIXed, can we be sure to have search-by-wiki in this
log?

It would be nice, yes.

mike.lifeguard+bugs wrote:

Just noting there is still support for this.

At the time, it was mentioned that restoring the global log would be easy to do - was that incorrect, or is it simply that nobody has gotten around to doing this?

aaron added a comment.Sep 11 2009, 4:25 PM

(In reply to comment #5)

Just noting there is still support for this.
At the time, it was mentioned that restoring the global log would be easy to do

  • was that incorrect, or is it simply that nobody has gotten around to doing

this?

Who said that?

fr33kman wrote:

Is any update available regarding this bug request? Thanks!

saper added a comment.Mar 12 2012, 1:17 AM

I think there is a general consensus in Wikimedia projects to have log separate. We should discuss changes to the policy on meta if necessary. The reason afair is that separate logs are less prone to accidental or deliberate abuse, and having local log accessible to a limited number of people in mostly disjoint groups is better (this was not discussed in bug 8710 at all). This of course makes cross-wiki work on large number of smaller wikis difficult.

For non-WMF wikis I think it can be achieved using $wgSharedTables, at least for MySQL. For PostgreSQL we reference mwuser.user_id and page.page_id, maybe those constraints could be dropped for $wgSharedDB installs.

I would propose to use this bug for technical discussion if necessary. WONTFIX for now.

MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.May 9 2016, 9:02 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 9 2016, 9:02 AM